PUPPET-DEVICE(8)

NAME
puppet-device - Manage remote network devices

SYNOPSIS
Retrieves all configurations from the puppet master and apply them to the remote devices configured in /opt/local/etc/puppet/device.conf.

Currently must be run out periodically, using cron or something similar.

USAGE
puppet device [-d|--debug] [--detailed-exitcodes] [-V|--version]

                [-h|--help] [-l|--logdest syslog|<file>|console]
                [-v|--verbose] [-w|--waitforcert <seconds>]

DESCRIPTION
Once the client has a signed certificate for a given remote device, it will retrieve its configuration and apply it.

USAGE NOTES
One need a /opt/local/etc/puppet/device.conf file with the following content:

[remote.device.fqdn] type type url url

where: * type: the current device type (the only value at this time is cisco) * url: an url allowing to connect to the device

Supported url must conforms to: scheme://user:password@hostname/?query

with: * scheme: either ssh or telnet * user: username, can be omitted depending on the switch/router configuration * password: the connection password * query: this is device specific. Cisco devices supports an enable parameter whose value would be the enable password.

OPTIONS
Note that any configuration parameter that's valid in the configuration file is also a valid long argument. For example, 'server' is a valid configuration parameter, so you can specify '--server servername' as an argument.

--debug
    Enable full debugging.

--detailed-exitcodes
    Provide transaction information via exit codes. If this is enabled, an exit code of '2' means there were changes, an exit code of '4' means there were failures during the transaction, and an exit code of '6' means there were both changes and failures.

--help
    Print this help message

--logdest
    Where to send messages. Choose between syslog, the console, and a log file. Defaults to sending messages to syslog, or the console if debugging or verbosity is enabled.

--verbose
    Turn on verbose reporting.

--waitforcert
    This option only matters for daemons that do not yet have certificates and it is enabled by default, with a value of 120 (seconds). This causes +puppet agent+ to connect to the server every 2 minutes and ask it to sign a certificate request. This is useful for the initial setup of a puppet client. You can turn off waiting for certificates by specifying a time of 0.

EXAMPLE
  $ puppet device --server puppet.domain.com

AUTHOR
Brice Figureau

COPYRIGHT
Copyright (c) 2011 Puppet Labs, LLC Licensed under the Apache 2.0 License